﻿using Rhino;
using Rhino.Commands;
using Rhino.DocObjects;
using Rhino.Geometry;
using Rhino.Input;

namespace ScaleProblemExample
{
    public class ScaleProblemExampleCommand : Command
    {
        public ScaleProblemExampleCommand()
        {
            Instance = this;
        }

        public static ScaleProblemExampleCommand Instance { get; private set;  }

        public override string EnglishName { get; } = "ScaleProblem";

        protected override Result RunCommand(RhinoDoc doc, RunMode mode)
        {
            if (RhinoGet.GetOneObject("Select Curve", false, ObjectType.Curve, out var objRef) != Result.Success || objRef.Curve() == null) return Result.Failure;

            var crv = objRef.Curve().DuplicateCurve();        
            crv.Transform(Transform.Scale(new Plane(crv.GetBoundingBox(true).Center,Vector3d.XAxis,Vector3d.YAxis), 2, 1, 1));

            RhinoDoc.ActiveDoc.Objects.Add(crv);

            return Result.Success;
        }
    }
}
